"use strict";
this.name        = "tracker_trigger.js";
this.author      = "Thargoid";
this.copyright   = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Script for setting up the tracker";
this.version     = "1.03";

this.activated = function() {
    var _ship = player.ship;

    if (!_ship || !_ship.target || _ship.target.name === "Telescope marker") return; // if there is no target, bail-out
    var _target = _ship.target;
    var _tagArray = system.shipsWithPrimaryRole("tracker_beacon", _target, _target.collisionRadius) // check if the target is already tagged - if so then activation is to remove it
    if (_tagArray.length > 0) {
        log(this.name,"Removing tracker from "+_tagArray[0].target);
        _tagArray[0].remove();
        player.consoleMessage(_target.displayName + " tracking removed.", 5);
        return;
    }
    
    if (system.countShipsWithPrimaryRole("tracker_beacon") > 4) {// if there are already 5 active tags in the system
        player.consoleMessage("Tracking system memory is full.", 5);
        log(this.name, "Already tracking 5 ships:"+system.shipsWithPrimaryRole("tracker_beacon"));
        return;
    }
    
    // if we get this far, we're setting up tracking on the target
    var Tag = _target.spawnOne("tracker_beacon");
    if (!Tag)
        log(this.name, "Couldn't spawn tracker beacon for "+_target.displayName);
    else {
        Tag.target = _target;
        Tag.beaconLabel = _target.displayName;
        Tag.addCollisionException(_target);
        log(this.name, "Tracker beacon for "+_target.displayName+":"+Tag);
        player.consoleMessage(_target.displayName + " now being tracked.", 5);
    }
}
